


# cummulation.py <outfile> <infile1>,... <scale1>,...
# ver 2.5  with pandas, formatted output
#
# allows multicolumn datafile
# without splining


import numpy as np
from scipy import interpolate
import pandas as pd


import configparser

import sys




commline = sys.argv
print('arguments:',commline)

vystup = commline[1]
secist = commline[2].split(",")
vahy = commline[3].split(",")



# INI file parsing
Config = configparser.ConfigParser()
Config.read("cummulation.ini")
print('ini:',Config.sections())

def ConfigSectionMap(section):
    dict1 = {}
    option = Config.options(section)
    for option in options:
        try:
            dict1[option] = Config.get(section, option)
            if dict1[option] == -1:
                DebugPrint("skip: %s" % option)
        except:
            print("exception on %s!" % option)
            dict1[option] = None
    return dict1




options = Config.options("common")
if 'suffix' in options:
  suffix = ConfigSectionMap("common")['suffix']
if 'prefix' in options:
  prefix = ConfigSectionMap("common")['prefix']

delim = None
if 'delimiter' in options:
  delim = ConfigSectionMap("common")['delimiter']
  if delim == '':
    delim = "\t"

comm = '#'
if 'comment' in options:
  comm = ConfigSectionMap("common")['comment']



print(prefix+secist[0]+suffix)

data = pd.read_csv(prefix+secist[0]+suffix,header=None,delimiter=delim,comment=comm,engine='python')
tabulka = data.values

print (np.shape(tabulka))



tabulka_new = tabulka.copy()

for sloupec in range(1,np.shape(tabulka)[1]):

    tabulka_new[:,sloupec] = float(vahy[0])*tabulka[:,sloupec]




for soubor in range(1,len(secist)):
  data = pd.read_csv(prefix+secist[soubor]+suffix,header=None,delimiter=delim,comment=comm)
  pricti = data.values


  for sloupec in range(1,np.shape(pricti)[1]):

#  x = pricti[:,0]
#  y = pricti[:,1]

#  print(np.shape(tabulka))


#  sort =x.argsort()
#  sortx = x[sort]
#  sorty = y[sort]
  
#  tck = interpolate.splrep(sortx,sorty)
#  prictinew = interpolate.splev(xnew, tck, der=0)

    tabulka_new[:,sloupec] = tabulka_new[:,sloupec] + float(vahy[soubor])*pricti[:,sloupec]


#  tck = interpolate.splrep(xnew,tabulkanew)
#  tabulkazapis = interpolate.splev(x, tck, der=0)


#zapis = np.array(list(zip(x,tabulkazapis)))
np.savetxt(prefix+vystup+suffix,tabulka_new,delimiter=' ',fmt="%1.8f")



