
# data spliner, ver 1.0



from scipy.interpolate import interp1d
import numpy as np


file = "JD_Ag"

loaddata = np.loadtxt(file+".enk")


data = loaddata.copy()
data[:,0] = 1240.0/loaddata[:,0]

print np.min(data[:,0]),np.max(data[:,0])

data[:,1] = [loaddata[i,1]**2 - loaddata[i,2]**2 for i in range(len(loaddata[:,1]))]


data[:,2] = [2*loaddata[i,1]*loaddata[i,2] for i in range(len(loaddata[:,1]))]





print np.shape(data)

print data[:,0]

xnew = [i for i in range(210,1100,1)]


ff1 = interp1d(data[:,0], data[:,1], kind='cubic')
ynew1 = ff1(xnew)

ff2 = interp1d(data[:,0], data[:,2], kind='cubic')
ynew2 = ff2(xnew)


datanew = np.stack((xnew,ynew1,ynew2),axis=-1)

print np.shape(datanew)


np.savetxt(file+".txt",datanew)
